#!/bin/bash
adb kill-server
adb start-server
adb shell mount_data
adb shell mount_system

adb shell busybox rm -rf /data/data_ginger
adb shell busybox rm -rf /data/system_ginger

adb shell busybox rm -rf /data/android/gingerbread

adb shell busybox mkdir -p /data/android/gingerbread/system
adb shell busybox chown 1000.1000 /data/android/
adb shell busybox chown 1000.1000 /data/android/gingerbread
adb shell busybox cp -Rp /system2/lib /data/android/gingerbread/system/lib
adb shell busybox cp -Rp /system2/bin /data/android/gingerbread/system/bin
adb shell busybox cp -Rp /system2/etc /data/android/gingerbread/system/etc
adb shell busybox cp -Rp /system2/usr /data/android/gingerbread/system/usr

adb shell busybox mkdir -p /data/android/gingerbread/data
adb shell busybox cp -Rp /data/misc /data/android/gingerbread/data

adb push system/ /data/android/gingerbread/system/

adb push app/gapps-gb-20110120-signed/system /data/android/gingerbread/system
adb push app/app/ /data/android/gingerbread/system/app

adb push busybox /data/android/gingerbread/system/bin/busybox
adb shell busybox chmod 777 /data/android/gingerbread/system/bin/busybox

adb shell toolbox setprop persist.sys.timezone Asia/Tokyo

adb push GBkernel.img /data/recovery/GBkernel.img
adb shell 'flash_image recovery /data/recovery/GBkernel.img'
adb reboot recovery


